Bug 48096 - torn off color popups cause interaction difficulties in other windows
Summary: torn off color popups cause interaction difficulties in other windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Björn Michaelsen
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 08:50 UTC by Caolán McNamara
Modified: 2013-01-09 12:52 UTC (History)
2 users (show)

See Also:


Attachments
seems a little better (2.71 KB, patch)
2012-04-02 09:01 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2012-03-30 08:50:54 UTC
Since

http://cgit.freedesktop.org/libreoffice/libs-core/commit/?id=46ea2f6cb38536aa1b1a259af2145a581e19f6e8

if you tear off e.g. the font color toolbar pop so that it floats free then open a new calc or writer window it all behaves very strangely.

The most obvious problem is if you tear it off in calc, then open another calc windows under gnome then you can't type into the second calc window.

Either way the torn off window floats above all windows, but it only has meaning to the original window within which it was torn off.

Its eluding me right now how to get the right effect of 46ea2f6cb38536aa1b1a259af2145a581e19f6e8 to not be decorated and look pretty when not torn off yet, and how to get the old behaviour of only floating above its original parent window
Comment 1 Caolán McNamara 2012-04-02 09:01:31 UTC
Created attachment 59387 [details]
seems a little better
Comment 2 Not Assigned 2012-04-02 13:04:39 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a482b89e4d9c41b6f7c1616d193ac6cde05a69a7

Resolves: fdo#48096 torn off popups trigger keyboard focus problems
Comment 3 Caolán McNamara 2012-04-02 13:05:54 UTC
caolanm->kendy: care to have a look to see if this is worth backporting to 3-5 series ?
Comment 4 Rainer Bielefeld Retired 2012-04-05 08:14:35 UTC
I added Fix submitter as assignee because this will ease queries and bug tracking.
Comment 6 Björn Michaelsen 2012-06-01 14:31:00 UTC
reopen, selfassign for backport.
Comment 7 Caolán McNamara 2012-06-28 08:17:58 UTC
lets close this, cause it is fixed in 3-6-0, regardless of being backported to 3-5-X or not